Admin APIPrice preferences
Update a Price Preference
Update a price preference's details.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The price preference's ID.
Query Parameters
fields?string
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Request Body
application/json
attribute?string
The price preference's attribute.
value?string
The price preference's value.
is_tax_inclusive?boolean
Whether prices are tax inclusive for this price preference.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/price-preferences/string" \ -H "Content-Type: application/json" \ -d '{}'{
"price_preference": {
"id": "string",
"attribute": "region_id",
"value": "reg_123",
"is_tax_inclusive": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}